%define name mageia-theme
%define theme %{_vendor}
%define version 1.5.0.28
%define scriptdir %{_datadir}/bootsplash/scripts
%define mga_bg %{_datadir}/mga/backgrounds

%define release %mkrel 4

Source100: glib2-branding.gschema.override.in

%define theme_header() \
Summary: %{_vendor}%{?1:-%1} theme for plymouth and desktop background \
Group: Graphics \
Obsoletes: mandriva-theme-Free mandriva-theme-One \
Obsoletes: mandriva-theme-Powerpack mandriva-theme-Flash \
%description %{?1} \
This package contains the %{_vendor}%{?1:-%1} plymouth theme \
with its images and configuration for different resolution as well as \
the the desktop background image. \

%define theme_package(o:) \
%package %{1} \
Requires: plymouth-system-theme \
Requires: plymouth-plugin-script >= 0.8.2 \
Requires(pre): bootsplash >= 3.3.9-1 \
Requires(preun): bootsplash >= 3.3.9-1 \
Provides: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme %{_real_vendor}-theme = %{version}-%{release} \
Provides: plymouth(system-theme) \
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme %{?-o:%{-o*}} \
Requires: %{_real_vendor}-theme-common \
Suggests: %{_real_vendor}-theme-screensaver \
%theme_header(%{1}) \
\
%package %{1}-screensaver \
Summary: %{_vendor} %{1} screensaver \
Group: Graphics \
Provides: %{_real_vendor}-theme-screensaver \
%{?-o:Obsoletes: %{-o*}-screensaver} \
Obsoletes: mandriva-theme-Flash-screensaver \
Obsoletes: mandriva-theme-Free-screensaver \
Obsoletes: mandriva-theme-One-screensaver \
Obsoletes: mandriva-theme-Powerpack-screensaver \
\
%description %{1}-screensaver \
This package contains the screensaver associated with the \
%{_vendor} %{1} theme. \

# Use posttrans as post is run before old package is removed, and we may select a resolution
# which then get removed.
%define theme_scripts() \
%posttrans -n %{name}-%{1} \
if [ -z "$DURING_INSTALL" ]; then \
  if [ -x %scriptdir/switch-themes ]; then \
    %scriptdir/switch-themes %{_vendor}-%{1} \
  fi \
else \
  if [ -f /etc/sysconfig/bootsplash ]; then \
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=%{_vendor}-%{1}/' /etc/sysconfig/bootsplash \
  fi \
  %{_sbindir}/plymouth-set-default-theme %{_vendor}-%{1} \
fi \
if [ -f %mga_bg/%{_vendor}.png -a ! -f %mga_bg/default.png -o -L %mga_bg/default.png ]; then \
  rm -f %mga_bg/default.png \
  ln -s %{_vendor}-%{1}-1600x1200.png %mga_bg/default.png \
fi \
if [ "$1" == "0" ]; then \
  %_sbindir/plymouth-set-default-theme -R Mageia-Default \
fi \
\
rm -f %mga_bg/%{_vendor}-Default-{0000,0700,1300,1800}.jpg ||: \
rm -f %mga_bg/%{_vendor}.xml ||: \
rm -f %{_datadir}/mdk/backgrounds/Mandriva-{Free,Flash,One,Powerpack}-{0000,0700,1300,1800}.jpg ||: \
rm -f %{_datadir}/mdk/backgrounds/Mandriva.xml ||: \
%preun -n %{name}-%{1} \
if [ "$1" == "0" ]; then \
  if [ -x %scriptdir/remove-theme ]; then \
    %scriptdir/remove-theme %{_vendor}-%{1} \
  fi \
  link=`readlink %mga_bg/default.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{_vendor}-%{1}" ]; then rm -f %mga_bg/default.png;fi \
  link=`readlink %mga_bg/default.jpg` \
  slink=${link%%-*} \
  if [ "$slink" == "%{_vendor}-%{1}" ]; then rm -f %mga_bg/default.jpg;fi \
  link=`readlink %mga_bg/%{_vendor}.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{_vendor}-%{1}" ]; then rm -f %mga_bg/%{_vendor}.png;fi \
  link=`readlink %mga_bg/%{_vendor}.jpg` \
  slink=${link%%-*} \
  if [ "$slink" == "%{_vendor}-%{1}" ]; then rm -f %mga_bg/%{_vendor}.jpg;fi \
  link=`readlink %mga_bg/root/%{_vendor}.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{_vendor}-%{1}-root" ]; then rm -f %mga_bg/root/default.png;fi \
fi 

%define theme_files() \
%files %{1} \
%defattr(-,root,root) \
%_datadir/gfxboot/themes/%{_vendor}-%{1} \
%_datadir/plymouth/themes/%{_vendor}-%{1} \
%mga_bg/%{_vendor}-%{1}* \
\
%files %{1}-screensaver \
%dir %_datadir/mga/screensaver \
%_datadir/mga/screensaver/*-*.jpg \

Name: %{name}
Version: %{version}
Release: %{release}
# Mageia is the upstream for this package ( svn+ssh://svn.mageia.org/svn/soft/theme/mageia-theme)
# To generate the package you need to
# svn export svn+ssh://svn.mageia.org/svn/soft/theme/mageia-theme/trunk mageia-theme-%{version}
# # tar -caf  mageia-theme-%{version}.tar.xz mageia-theme-%{version}
# 

Source0: %{name}-%{version}.tar.xz
License: GPL
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: gimp fonts-ttf-dejavu
%theme_header

%theme_package Default      -o %{_real_vendor}-theme

%package common
Summary: %{_vendor} common theme for plymouth
Group: Graphics
Obsoletes: plymouth-theme-mdv
Obsoletes: mandriva-theme-common

%description common
This package contains common images for the %{_vendor} plymouth themes.

%package extra
Summary: Additional backgrounds from %{_vendor} Linux users
Group: Graphics
Obsoletes: mandriva-theme-extra

%description extra
This package contains winning picture from %{_vendor} 1 photo 
background contest.

%package kde-background
Summary: %{_vendor} KDE background theme for mageia
Group: Graphics
Requires: %{name}

%description kde-background
This package provides mageia background theme for kde

%package gnome
Summary: %{_vendor} GNOME theme for mageia
Group: Graphics
Requires: %{name}

%description gnome
This package provides Mageia theme for GNOME

%prep
%setup -q -n %{name}-%{version}
cp -a %{SOURCE100} glib2-branding.gschema.override.in

%build
%make
sed "s,@@WALLPAPER_URI@@,file:///usr/share/mga/backgrounds/default.jpg," glib2-branding.gschema.override.in > glib2-branding.gschema.override

%install
rm -rf %{buildroot}
%make install prefix=%{buildroot}

%__mkdir -p %{buildroot}/%{_datadir}/wallpapers/%{_vendor}/contents/images
              
pushd %{buildroot}/%{_datadir}/wallpapers/%{_vendor}/contents/images
for i in "800x480" "1024x600" "1280x1024" "1920x1080"  "1920x1200" "1920x1440"; do
ln -s ../../../../mga/backgrounds/%{_vendor}-Default-$i.png $i.png
done
cat > %{buildroot}/%{_datadir}/wallpapers/%{_vendor}/metadata.desktop << EOF
[Desktop Entry]
Name=%{_vendor}
X-KDE-PluginInfo-Name=%{_vendor}
X-KDE-PluginInfo-Author=Mageia Artwork Team
X-KDE-PluginInfo-Email=mageia-artwork@mageia.org
X-KDE-PluginInfo-License=GPL

EOF
popd

# gnome:
install -d %{buildroot}%{_datadir}/glib-2.0/schemas
install -m0644 glib2-branding.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

%theme_scripts Default
%files common


%files extra
%{_datadir}/mga/backgrounds/beach.jpg
%{_datadir}/mga/backgrounds/butterfly.jpg
%{_datadir}/mga/backgrounds/candle.jpg
%{_datadir}/mga/backgrounds/drop.jpg
%{_datadir}/mga/backgrounds/fish.jpg
%{_datadir}/mga/backgrounds/flowers.jpg
%{_datadir}/mga/backgrounds/green.jpg
%{_datadir}/mga/backgrounds/ice.jpg
%{_datadir}/mga/backgrounds/leaf.jpg
%{_datadir}/mga/backgrounds/sunset.jpg

%{_datadir}/mga/backgrounds/%{_vendor}-extra.xml

%files kde-background
%{_datadir}/wallpapers/%{_vendor}

%files gnome
%{_datadir}/glib-2.0/schemas/*.override

%post gnome
if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas --allow-any-name /usr/share/glib-2.0/schemas/
fi

%postun
if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas --allow-any-name /usr/share/glib-2.0/schemas/
fi


%theme_files Default





%changelog

* Fri Jun 01 2012 ennael <ennael> 1.5.0.28-4.mga2
+ Revision: 252565
- fix posttrans (tmb)
- fix plymouth not updated
- rebuild initrd to allow plymouth update
- Use design from the original author
- use proper logo for gfxboot

* Sat May 12 2012 ennael <ennael> 1.5.0.26-1.mga2
+ Revision: 235470
- Fix screensaver images

* Fri May 11 2012 ennael <ennael> 1.5.0.25-1.mga2
+ Revision: 235301
- fix files list for extras
- new screensavers and extra backgrounds

* Thu May 10 2012 ennael <ennael> 1.5.0.24-2.mga2
+ Revision: 235031
- Fix color for texts (#5676)

  + colin <colin>
    - Require newer bootsplash (mga#5593)

* Thu Apr 19 2012 schultz <schultz> 1.5.0.23-1.mga2
+ Revision: 231755
- 1.5.0.23
- fix plymouth scaling issues (TeaAge)
- 1.5.0.23
- fix plymouth scaling

* Fri Apr 13 2012 ennael <ennael> 1.5.0.22-1.mga2
+ Revision: 230692
- new theme for Plymouth

* Thu Apr 12 2012 ennael <ennael> 1.5.0.21-3.mga2
+ Revision: 230383
- new gfxboot theme for Mageia 2

* Wed Apr 11 2012 dmorgan <dmorgan> 1.5.0.20-3.mga2
+ Revision: 230245
- Run %%post for wallpaper install

* Wed Apr 11 2012 dmorgan <dmorgan> 1.5.0.20-2.mga2
+ Revision: 230239
- Point to default.jpg image

* Tue Apr 10 2012 ennael <ennael> 1.5.0.20-1.mga2
+ Revision: 230091
- new backgrounds for Mageia 2

* Tue Apr 03 2012 ovitters <ovitters> 1.5.0.18-3.mga2
+ Revision: 228137
- add gschema override to provide GNOME background

* Mon Oct 10 2011 mikala <mikala> 1.5.0.18-2.mga2
+ Revision: 153655
- Bump mkrel to be higher than 1/updates

  + schultz <schultz>
    - clean spec

* Fri Oct 07 2011 schultz <schultz> 1.5.0.18-1.mga2
+ Revision: 152591
- Update to 1.5.0.18
  add new mga.script (Thanks Teage) fixes mga# 1332, plymouth dots misalined

* Mon Jul 18 2011 mikala <mikala> 1.5.0.17-3.mga2
+ Revision: 125698
- Add a mageia-theme-kde-background subpackage (fix mga #1309)

* Mon May 30 2011 pterjan <pterjan> 1.5.0.17-2.mga1
+ Revision: 100765
- Rebuild with fixed mkrel

* Mon May 30 2011 ennael <ennael> 1.5.0.17-1.mga1.
+ Revision: 100743
- remove uneeded gfxboot files list
- remove unnecessary files in theme

* Thu May 26 2011 ennael <ennael> 1.5.0.16-1.mga1
+ Revision: 100453
- fix plymouth glitch (#1413)
- fix Mageia logo in backgrounds

* Mon May 23 2011 schultz <schultz> 1.5.0.15-1.mga1
+ Revision: 100277
- Update to 1.5.0.15
- add logo on backgrounds

* Sun May 22 2011 ahmad <ahmad> 1.5.0.14-2.mga1
+ Revision: 100159
- Obsolete old mandriva-theme-{Flash,Free,One,Powerpack}-screensaver properly

* Fri May 20 2011 schultz <schultz> 1.5.0.14-1.mga1
+ Revision: 99861
- Readd 1024x768 background
  Update to 1.5.0.14

* Mon May 16 2011 pterjan <pterjan> 1.5.0.13-3.mga1
+ Revision: 99194
- Drop useless trigger

  + ahmad <ahmad>
    - Change %%post to %%posttrans, to be sure the symlink to default.jpg will be
      updated (mga#1295)
    - Delete the .jpg symlinks in %%posttrans, the ones that were used for the timed
      wallpapers (both the Mandriva and Mageia ones); the same for the .xml symlink

* Sun May 15 2011 ennael <ennael> 1.5.0.13-1.mga1
+ Revision: 98893
- remove hour based backgrounds

  + schultz <schultz>
    - Update backgrounds to final (Hopefully actual final this time)

* Mon May 02 2011 schultz <schultz> 1.5.0.9-1.mga1
+ Revision: 94313
- Release 1.5.0.9
- Update backgrounds for provisional final
- New lock.png for plymouth
- new tarball for time of the day backgrounds and updated Mageia-Default.xml

* Tue Apr 19 2011 dams <dams> 1.5.0.7-1.mga1
+ Revision: 88475
- Fix Mageia.xml to fix background slideshow

* Mon Apr 04 2011 ennael <ennael> 1.5.0.6-1.mga1
+ Revision: 80465
- fix Plymouth images

* Thu Mar 31 2011 ennael <ennael> 1.5.0.5-2.mga1
+ Revision: 79262
- add obsoletes on mandriva-theme-extra

* Thu Mar 31 2011 dmorgan <dmorgan> 1.5.0.5-1.mga1
+ Revision: 79199
- Update artworks

* Thu Mar 31 2011 dmorgan <dmorgan> 1.5.0.4-1.mga1
+ Revision: 79182
- Use new plymouth animations

* Thu Mar 31 2011 schultz <schultz> 1.5.0.3-1.mga1
+ Revision: 79136
- update background for beta, update makefile to 1.5.0.3, new tarball 1.5.0.3

  + mikala <mikala>
    - Remove BuildRoot
    - Add some comments about generating the source file

* Wed Mar 30 2011 mikala <mikala> 1.5.0.2-1.mga1
+ Revision: 79053
- Update tarball to 1.5.0.2:
 Provides mageia screensaver pictures instead of mandriva's one.

* Wed Feb 16 2011 ahmad <ahmad> 1.5.0.1-6.mga1
+ Revision: 52764
- add more obsoletes

* Tue Feb 15 2011 dmorgan <dmorgan> 1.5.0.1-5.mga1
+ Revision: 51792
- Make sure bootsplash is installed before uninstalling

* Tue Feb 15 2011 dmorgan <dmorgan> 1.5.0.1-4.mga1
+ Revision: 51791
- Make sure bootsplash is install thus makes %%post works

* Tue Feb 15 2011 dmorgan <dmorgan> 1.5.0.1-3.mga1
+ Revision: 51790
- Make sure bootsplash is install thus makes %%post works

* Mon Feb 14 2011 misc <misc> 1.5.0.1-2.mga1
+ Revision: 51635
- fix default theme by using the proper file for linking

* Mon Feb 14 2011 dmorgan <dmorgan> 1.5.0.1-1.mga1
+ Revision: 51630
- Fix build

  + misc <misc>
    - new version, fix plymouth problem

* Sun Feb 13 2011 tmb <tmb> 1.5.0-1.mga1
+ Revision: 51506
- 1.5.0
  - rename plymouth script to Mageia-Default to match theme name
  - change all paths from mdk to mga

* Sun Feb 13 2011 ennael <ennael> 1.4.9-1.mga1
+ Revision: 51181
- wrong naming Default

* Mon Feb 07 2011 dmorgan <dmorgan> 1.4.8-1.mga1
+ Revision: 48851
- Adapt for mageia
- Fix package name
- Fix obsoletes
- imported package mageia-theme


* Tue Jan 18 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.4.8-1mdv2011.0
+ Revision: 631552
- 1.4.8.
 - Added high-resolution wallpapers from Mandriva 2010.2 contest.

* Wed Jun 23 2010 Frederic Crozat <fcrozat@mandriva.com> 1.4.7-2mdv2010.1
+ Revision: 548706
- Update one of the extra contributor background with full resolution image

* Fri Jun 11 2010 Frederic Crozat <fcrozat@mandriva.com> 1.4.7-1mdv2010.1
+ Revision: 547910
- Update extra backgrounds with better resolution images from authors

* Wed May 26 2010 Frederic Crozat <fcrozat@mandriva.com> 1.4.6-1mdv2010.1
+ Revision: 546295
- Release 1.4.6 :
 - selected community backgrounds for 2010 Spring

* Thu Apr 22 2010 Frederic Crozat <fcrozat@mandriva.com> 1.4.5-1mdv2010.1
+ Revision: 537859
- Release 1.4.5 :
 - fix compatibility with plymouth 0.8.x

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2010.1
+ Revision: 523269
- rebuilt for 2010.1

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-1mdv2010.0
+ Revision: 460187
- Release 1.4.4 :
 - new screensavers
 - extra subpackage with winning pictures from Mandriva 2010 photo background contest

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-1mdv2010.0
+ Revision: 459739
- Release 1.4.3 :
 - new design for plymouth themes

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.2-1mdv2010.0
+ Revision: 459035
- Release 1.4.2 :
 - new backgrounds for 2010.0

* Wed Oct 14 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.1-1mdv2010.0
+ Revision: 457323
- Release 1.4.1 :
 - instanciate dialog at startup, when initrd is still running, in case /usr isn't mounted when requested to display them (Mdv bug #54048)

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-3mdv2010.0
+ Revision: 456031
- Ensure plymouth theme is set during install
- Obsolete plymouth-theme-mdv

* Wed Oct 07 2009 Olivier Blin <oblin@mandriva.com> 1.4.0-2mdv2010.0
+ Revision: 455778
- provide plymouth(system-theme) and require plymouth-system-theme
  instead of providing it (it will pull plymouth as dep)

* Wed Oct 07 2009 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdv2010.0
+ Revision: 455684
- Ship plymouth theme to replace splashy ones

* Mon Sep 28 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-3mdv2010.0
+ Revision: 450615
- Remove dependency on splashy

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-2mdv2010.0
+ Revision: 417843
- Requires plymouth-system-theme for now

* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.12-1mdv2009.1
+ Revision: 368830
- Release 1.3.12 :
 - new screensavers

* Fri Apr 10 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.11-1mdv2009.1
+ Revision: 365884
- Release 1.3.11 :
 fix misalignment in some backgrounds

* Tue Mar 31 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.10-1mdv2009.1
+ Revision: 363013
- Release 1.3.10 :
 - new graphics for One and Powerpack

* Tue Mar 24 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.9-1mdv2009.1
+ Revision: 360877
- Release 1.3.9 :
 - updated backgrounds for Free theme
 - improved splashy theme for Free
 - prepare new splashy theme coming for One

* Mon Mar 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.8-1mdv2009.1
+ Revision: 353278
- Release 1.3.8
 - add compat symlink for 1024x600 resolution (Mdv bug #48554)

* Wed Mar 04 2009 Frederic Crozat <fcrozat@mandriva.com> 1.3.7-1mdv2009.1
+ Revision: 348439
- Release 1.3.7 :
 - new theme for 2009 Spring (Free only ATM)
 - update Mandriva-Free.xml to use multiple size

* Wed Sep 10 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.6-1mdv2009.0
+ Revision: 283501
- Release 1.3.6
 - workaround symlink over hardlink bug

* Tue Sep 09 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.5-1mdv2009.0
+ Revision: 283161
- Add 640x480 symlink bootsplash (Mdv bug #43715)

* Thu Sep 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.4-1mdv2009.0
+ Revision: 280472
- Improved gfxboot for One / Powerpack (fix logo location)
- Release 1.3.3 :
 - One backgrounds were correctly added to svn this time
- Add compat symlinks for background resolutions not provided (use same ratio image)
- Improve splashy theme a little
- Improve gfxboot theme in One / Powerpack

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 1.3.1-1mdv2009.0
+ Revision: 276196
- Release 1.3.1 :
 - new design for Mandriva Linux 2009.0

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.3.0-3mdv2009.0
+ Revision: 267941
- rebuild early 2009.0 package (before pixel changes)

  + Olivier Blin <oblin@mandriva.com>
    - remove useless require for non-existent package
    - require splashy for post/preun scripts
    - 1.3.0
    - build splashy themes

* Tue Jun 10 2008 Olivier Blin <oblin@mandriva.com> 1.2.27.2-1mdv2009.0
+ Revision: 217510
- 1.2.27.2
- add background for Flash 800x480
- add bootsplash for Flash 640x480
- build fixes

* Tue May 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.27.1-1mdv2009.0
+ Revision: 206581
- Add theme for new Flash

* Tue Mar 25 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.27-1mdv2008.1
+ Revision: 189925
- Release 1.2.27 : fix Mandriva Free 1440x900 backgrounds (Mdv bug #39163)
- Release 1.2.26 :
 - add another screensaver image, courtesy of Boiko

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.25-1mdv2008.1
+ Revision: 185270
- Release 1.2.25 : use 12 pixel height for progress bar in bootsplash

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.24-1mdv2008.1
+ Revision: 178276
- Fix typo in .xml files, breaking background transitions in the morning

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.23-1mdv2008.1
+ Revision: 176392
- Switch backgrounds to jpeg

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 1.2.22-1mdv2008.1
+ Revision: 176011
- Fix buildrequires
- Release 1.2.22 :
 - new artwork for Mandriva 2008 Spring, featuring hour based backgrounds

* Wed Feb 27 2008 Olivier Blin <oblin@mandriva.com> 1.2.21-1mdv2008.1
+ Revision: 175696
- 1.2.21
- workaround build for latest gimp (fcrozat)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.20-2mdv2008.0
+ Revision: 95396
- Replace Requires with Suggests on mandriva-theme-screensaver

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1.2.20-1mdv2008.0
+ Revision: 91945
- 1.2.20: change pwp and One gfxboot images
  (have Mandriva logo at the same place as Free gfxboot image)

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 1.2.19-1mdv2008.0
+ Revision: 91218
- 1.2.19: new screensavers

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 1.2.18-1mdv2008.0
+ Revision: 84379
- 1.2.18: update 1920x1440 images (#33355)

* Fri Sep 07 2007 Olivier Blin <oblin@mandriva.com> 1.2.17-1mdv2008.0
+ Revision: 81946
- 1.2.17 (adapt scripts to build with gimp 2.4 rc2...)
- make Powerpack theme obsolete Powerpack+ theme
- make One theme obsolete Discovery theme
- fix theme name in main description
- remove garbage at end of main description
- 1.2.16
- drop Discovery and Powerpack+ themes
- remove unpackaged files

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 1.2.15-1mdv2008.0
+ Revision: 72691
- 1.2.15: fix conversion of indexed images (such as gfxboot)

* Mon Aug 27 2007 Olivier Blin <oblin@mandriva.com> 1.2.14-2mdv2008.0
+ Revision: 71994
- 1.2.14 (update theme for Mandriva 2008.0)

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.2.13-2mdv2008.0
+ Revision: 67872
- add missing requires on perl-base
- convert prereq

* Fri Jun 29 2007 Olivier Blin <oblin@mandriva.com> 1.2.13-1mdv2008.0
+ Revision: 45751
- use Graphics as group
- 1.2.13 (rename Mandriva theme as Mandriva-Free)
- simplify spec now that themes have a common prefix
- make mandriva-theme-Free obsolete mandriva-theme
- make mandriva-theme-Free-screensaver obsolete mandriva-theme-screensaver
- fix inclusion of Powerpack files in Powerpack+ package

* Thu May 10 2007 Olivier Blin <oblin@mandriva.com> 1.2.12-1mdv2008.0
+ Revision: 26082
- 1.2.12 (use final 2007 Spring images for Mandriva-1440x900 and Mandriva-Powerpack+-1280x800)


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.2.11-1mdv2007.1
+ Revision: 146719
- 1.2.11 (do not make progress bar overlap text, #29373)

* Wed Mar 14 2007 Pixel <pixel@mandriva.com> 1.2.10-1mdv2007.1
+ Revision: 143599
- compress even less gfxboot images

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 142425
- new release, 1.2.9:
- add gfxboot images

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 1.2.8-1mdv2007.1
+ Revision: 141638
- 1.2.8 (new vt images)

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 134057
- 1.2.7 (add hibernate images back)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 1.2.6-1mdv2007.1
+ Revision: 133393
- 1.2.6 (new screensavers)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 1.2.5-1mdv2007.1
+ Revision: 132855
- 1.2.5 (convert hibernate images as jpg)
- 1.2.4
- remove old symlinks to old kde config files in trigger
- install common images (vt and hibernate) in /usr/share/bootsplash/Mandriva-common/images
- move vt backgrounds in common subpackage
- remove unused kdeglobals/konsolerc/kwinrc files (replaced by *-kde-config profiles)
- cosmetics
- factorize again
- use shell pattern to get background prefix instead of hardcoded values
- factorize post/preun

* Mon Feb 26 2007 Olivier Blin <oblin@mandriva.com> 1.2.3-2mdv2007.1
+ Revision: 126098
- bump release

  + Frederic Crozat <fcrozat@mandriva.com>
    - Don't include all backgrounds in free package

* Thu Feb 15 2007 Warly <warly@mandriva.com> 1.2.3-1mdv2007.1
+ Revision: 121414
- update tarball and spec for version 1.2.3

* Wed Feb 14 2007 Warly <warly@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 120981
- update tarball and spec for version 1.2.2

* Tue Feb 13 2007 Warly <warly@mandriva.com> 1.2.1-1mdv2007.1
+ Revision: 120472
- update tarball and spec for version 1.2.1

* Tue Feb 13 2007 Warly <warly@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 120446
- update tarball and spec for version 1.2.0
- Import mandriva-theme

* Wed Sep 20 2006 Warly <warly@mandriva.com> 1.1.4-1mdv2007.0
- fix lilo message generation

* Tue Sep 19 2006 Warly <warly@mandriva.com> 1.1.3-1mdv2007.0
- try to improve bootsplash jpeg image, store png image as source
  and regenerate during the build the jpeg with good quality

* Thu Sep 14 2006 Warly <warly@mandriva.com> 1.1.2-1mdv2007.0
- adjust progress bar color

* Wed Sep 13 2006 Warly <warly@mandriva.com> 1.1.1-1mdv2007.0
- some adjustment in the lilo images

* Thu Jul 13 2006 Warly <warly@mandriva.com> 1.1.0-1mdv2007.0
- test version for 2007

* Sat Sep 24 2005 Frederic Lepied <flepied@mandriva.com> 1.0.12-1mdk
- rebuild to have the common part in kdeglobals

* Wed Sep 14 2005 Warly <warly@mandriva.com> 1.0.11-1mdk
- fixed tux images for screensaver

* Wed Sep 14 2005 Pixel <pixel@mandriva.com> 1.0.10-2mdk
- we need special bootsplash to be installed to correctly upgrade from mandrakelinux-theme
  (cf bootsplash 3.1.8-3mdk changelog)

* Tue Sep 13 2005 Warly <warly@mandriva.com> 1.0.10-1mdk
- improve bootsplash image quality
- move text window
- change progress bar color

* Sat Sep 10 2005 Frederic Lepied <flepied@mandriva.com> 1.0.9-1mdk
- move konsolerc to this package

* Fri Sep 09 2005 Warly <warly@mandriva.com> 1.0.8-4mdk
- remove mandriva-theme non versionned provides

* Thu Sep 08 2005 Warly <warly@mandriva.com> 1.0.8-3mdk
- fix kdeglobals name

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.8-2mdk
- Move kdeglobals here

* Tue Sep 06 2005 Warly <warly@mandriva.com> 1.0.8-1mdk
- update screensaver image

* Sat Sep 03 2005 Warly <warly@mandriva.com> 1.0.7-1mdk
- fix bootloader progress bar

* Tue Aug 30 2005 Warly <warly@mandriva.com> 1.0.5-1mdk
- various theme corrections
- split screensaver

* Tue Aug 23 2005 Warly <warly@mandriva.com> 1.0.4-1mdk
- new themes

* Wed Aug 03 2005 Warly <warly@mandriva.com> 1.0.3-1mdk
- new background

* Thu Jul 28 2005 Warly <warly@mandriva.com> 1.0.2-1mdk
- include screen saver

* Wed Jul 13 2005 Warly <warly@mandriva.com> 1.0.1-1mdk
- fix configuration file which still refered to Mandrakelinux pathes

* Thu Jun 30 2005 Warly <warly@mandriva.com> 1.0.0-1mdk
- Mandrakelinux->Mandriva
- New theme

* Tue Apr 05 2005 Warly <warly@mandrakesoft.com> 0.3.6-1mdk
- The configuration file for 1280x1024 was wrong.
- Move down the text in resolution other than 800x600

* Tue Apr 05 2005 Warly <warly@mandrakesoft.com> 0.3.5-1mdk
- Really change the background

* Tue Apr 05 2005 Warly <warly@mandrakesoft.com> 0.3.4-1mdk
- Now default background is stars only

* Sat Apr 02 2005 Warly <warly@mandrakesoft.com> 0.3.3-1mdk
- fix the eyes

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 0.3.2-1mdk
- fix lilo progress bar size

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 0.3.1-1mdk
- include new definitions images
- try to update progress bar position in higher definitions than 800x600

* Mon Mar 21 2005 Warly <warly@mandrakesoft.com> 0.3.0-1mdk
- Limited Edition 2005 theme

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Tue Aug 24 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Wed Aug 04 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Fri Jul 30 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Fri Jul 30 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Wed Jul 14 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Wed May 12 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

